﻿
Imports Infragistics.Win

Public Class Form1
    Private _dt As DataTable

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        InitDataTable()
        InitGrid()
    End Sub

    Private Sub InitDataTable()
        _dt = New DataTable
        Dim dc As New DataColumn("Key", GetType(Integer))
        _dt.Columns.Add(dc)

        dc = New DataColumn("Description", GetType(String))
        _dt.Columns.Add(dc)

        Dim row As DataRow = _dt.NewRow()
        row("Key") = 1
        row("Description") = "Test 1"
        _dt.Rows.Add(row)

        row = _dt.NewRow()
        row("Key") = 2
        row("Description") = "Test 2"
        _dt.Rows.Add(row)

        row = _dt.NewRow()
        row("Key") = 3
        row("Description") = "Test 3"
        _dt.Rows.Add(row)

        row = _dt.NewRow()
        row("Key") = 4
        row("Description") = "Test 4"
        _dt.Rows.Add(row)

    End Sub

    Private Sub InitGrid()
        Me.UltraGrid1.DataSource = _dt

        Me.UltraGrid1.DisplayLayout.GroupByBox.Hidden = True
        Me.UltraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy
        Me.UltraGrid1.DisplayLayout.Override.RowSelectors = DefaultableBoolean.True
        Me.UltraGrid1.DisplayLayout.AddNewBox.Hidden = True
        Me.UltraGrid1.DisplayLayout.Override.AllowAddNew = UltraWinGrid.AllowAddNew.No

        Dim band As UltraWinGrid.UltraGridBand = Me.UltraGrid1.DisplayLayout.Bands(0)
        band.Override.AllowRowFiltering = DefaultableBoolean.False
        Me.UltraGrid1.DisplayLayout.AutoFitStyle = UltraWinGrid.AutoFitStyle.ResizeAllColumns

        Dim position As Integer = 0

        band.Columns("Key").Hidden = False
        band.Columns("Key").Header.Caption = "Key"
        band.Columns("Key").Header.VisiblePosition = position
        position += 1
        band.Columns("Key").Width = 50

        band.Columns("Description").Hidden = False
        band.Columns("Description").Header.Caption = "Description"
        band.Columns("Description").Header.VisiblePosition = position
        position += 1
        band.Columns("Description").Width = 100
    End Sub
End Class
